do
	local Addon, private = ...
	
	local function f(handle, args)
		args = string.trim(args)
		local arg1, arg2 = unpack(string.split(args, "%s+", true))
		
		if(#args <= 0) then
			private.MainWindow():FadeIn()
			return
		end
		
		local module
		local path
		
		if(arg2) then
			module = arg1
			path = arg2
		else
			module = "Rift"
			path = arg1
		end

		_G[Addon.identifier].PushPage(module, path)
	end

	Command.Event.Attach(Command.Slash.Register("api"), f, "/api")
end